#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n],pos;
    bool swapped = false;
    for(int i=0; i<n; i++)
        cin >> a[i];
    if (n==2)
        swap (a[0],a[1]);
    else
    {
        for(int i=0; i<n; i++)
        {
            int maks=a[i];
            for(int j=i+1; j<n; j++)
            {
                if(a[j]>maks)
                {
                    swapped=true;
                    maks = a[j];
                    pos = j;
                }
            }
            if(swapped==true)
            {
                int c=a[i];
                swap (a[i],maks);
                swap (a[pos], c);
                break;
            }
        }
    }
    for(int i=0; i<n; i++)
        cout << a[i] << " ";
    return 0;
}